Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.xml
Class JobSchedulingDataProcessor.MisfireInstructionRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.commons.digester.BeanPropertySetterRule
              org.quartz.xml.JobSchedulingDataProcessor.MisfireInstructionRule

Enclosing class:
  JobSchedulingDataProcessor

public class JobSchedulingDataProcessor.MisfireInstructionRule
extends org.apache.commons.digester.BeanPropertySetterRule

This rule translates the trigger misfire instruction constant name into its corresponding value.

Author:
  Chris Bonham

Field Summary

Fields inherited from class org.apache.commons.digester.BeanPropertySetterRule
`bodyText, propertyName`

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`JobSchedulingDataProcessor.MisfireInstructionRule(String propertyName)` Construct rule that sets the given property from the body text.

Method Summary
`void` | `body(String namespace, String name, String text)` Process the body text of this element.

Methods inherited from class org.apache.commons.digester.BeanPropertySetterRule
`end, finish, toString`

Methods inherited from class org.apache.commons.digester.Rule
`begin, begin, body, end, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobSchedulingDataProcessor.MisfireInstructionRule

    public JobSchedulingDataProcessor.MisfireInstructionRule(String propertyName)

  Construct rule that sets the given property from the body text.

Parameters:
  `propertyName` - name of property to set

Method Detail

### body

    public void body(String namespace,
                     String name,
                     String text)
              throws Exception

  Process the body text of this element.

  Parameters:
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
    `text` - The text of the body of this element
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD